--- a/src/AmarokSharedPointer.h
+++ b/src/AmarokSharedPointer.h
@@ -66,7 +66,7 @@ public:
     inline operator bool() const { return ( d != nullptr ); }
 
     inline bool isNull() const { return d == nullptr; }
-    inline int count() const { return d ? d->ref.load() : 0; }
+    inline int count() const { return d ? d->ref.loadRelaxed() : 0; }
     inline T* data() const { return d; }
     inline void clear() { if (d && !d->ref.deref()) delete d; d = nullptr; }
 
